--- expat.SlackBuild	2006-04-03 20:40:27.000000000 -0400
+++ expat.SlackBuild.s390x	2005-12-30 18:50:01.000000000 -0500
@@ -14,7 +14,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -27,14 +27,16 @@
 tar xzvf $CWD/expat-$VERSION.tar.gz
 cd expat-$VERSION
 zcat $CWD/expat-DESTDIR.patch.gz | patch -p1
-chown -R root:root .
+chown -R root.root .
 find . -perm 777 -exec chmod 755 {} \;
 find . -perm 664 -exec chmod 644 {} \;
 CFLAGS="$SLKCFLAGS" \
 ./configure \
-  --prefix=/usr
+  --prefix=/usr \
+  --libdir='${exec_prefix}/lib64'
 make
 make install DESTDIR=$PKG
+chown -R root.bin $PKG/usr/bin
 ( cd $PKG
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
